Bug 169711 - mkinitrd - complaints "No such file or directory" from initrd
mkinitrd - complaints "No such file or directory" from initrd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-01 16:39 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 11:17:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-10-01 16:39:39 EDT
Description of problem:

Booting with initrd generated by mkinitrd 5.0.2-1 or 5.0.3-1 spits the
following messages:

....
Switching to new root
error dup2'ing fd of 54 to 1: No such file or directory
error dup2'ing fd of 54 to 2: No such file or directory

This was not the case for 5.0.0-1 and earlier.

fd of 54 is from x86_64; on x86 machine I see 72 instead.

Version-Release number of selected component (if applicable):
mkinitrd-5.0.2-1 and mkinitrd-5.0.3-1

How reproducible:
always
Comment 1 Peter Jones 2006-02-11 02:22:28 EST
Does this still appear to be a problem with more recent versions?
Comment 2 Michal Jaegermann 2006-02-11 11:17:10 EST
> Does this still appear to be a problem with more recent versions?
No, I did not see that for quite a while.

Note You need to log in before you can comment on or make changes to this bug.